Skip to content

deployment_managed_service_reconcile

Retry provisioning of a managed service that failed or is stuck in provisioning.

Tool

deployment_managed_service_reconcile

Retry provisioning of a managed service that failed or is stuck in provisioning.

Retry provisioning of a managed service that failed or is stuck in provisioning. Also releases one stuck in backing_up for over 15 min: sets it back to ready and does not re-run the backup. Refused while the backup is younger than 15 min or its snapshot is still in progress.

Behavior

HTTP
POST /deployment/managed-services/:id/reconcile

Arguments

Name
Type
Required
Description
id
string
•
No description in the catalog.

Response

Field
Type
Always
Description
id
string
•
name
string
•
slug
string
•
engine
string
•
status
string
•
version
string
•
createdAt
string
•
productId
string
•
updatedAt
string
•
storageGiB
number
•
backupPolicy
object
•
databaseName
string
•
lastBackupAt
string
•
environmentId
string
•
lastErrorMessage
string
•

Try it

Retry provisioning of a managed service that failed or is stuck in provisioning.

When to use

Retry provisioning of a managed service that failed or is stuck in provisioning. Also releases one stuck in backing_up for over 15 min: sets it back to ready and does not re-run the backup. Refused while the backup is younger than 15 min or its snapshot is still in progress.

Example

Ask your agent something like this:

Retry provisioning of a managed service that failed or is stuck in provisioning.

The agent will invoke deployment_managed_service_reconcile with these arguments:

{
  "id": "<id>"
}

Esc

Start typing to search the docs.

↑↓navigate↵select